<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/light_black"
    tools:context=".activity.EachCategoryActivity">
    <RelativeLayout
        android:id="@+id/rlTop"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">
        <ImageView
            android:id="@+id/imgBack"
            android:layout_width="65dp"
            android:layout_height="65dp"
            android:src="@drawable/return_main"
            android:tint="@color/text"
            android:padding="20dp"/>
        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/app_name"
            android:textSize="18sp"
            android:textColor="@color/dark_text"
            android:layout_centerInParent="true"/>
    </RelativeLayout>
    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recyclerView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginHorizontal="15dp" />
    <LinearLayout
        android:id="@+id/llEmpty"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        app:layout_constraintTop_toBottomOf="@+id/rlTop"
        app:layout_constraintBottom_toBottomOf="parent"
        android:orientation="vertical"
        android:visibility="gone">

        <ImageView
            android:layout_width="150dp"
            android:layout_height="150dp"
            android:src="@mipmap/box_empty" />
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:lineSpacingExtra="4dp"
            android:text="@string/empty_resource"
            android:textColor="#808080"
            android:textSize="16sp" />
    </LinearLayout>
</LinearLayout>